Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/SashPanel.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/SashPanel.java	(revision 0)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/SashPanel.java	(revision 836)
@@ -0,0 +1,90 @@
+package org.txm.edition.rcp.editors;
+
+import java.util.ArrayList;
+
+import org.eclipse.swt.SWT;
+import org.eclipse.swt.layout.FormAttachment;
+import org.eclipse.swt.layout.FormData;
+import org.eclipse.swt.layout.FormLayout;
+import org.eclipse.swt.layout.GridLayout;
+import org.eclipse.swt.widgets.Composite;
+import org.eclipse.swt.widgets.Control;
+import org.eclipse.swt.widgets.Event;
+import org.eclipse.swt.widgets.Listener;
+import org.eclipse.swt.widgets.Sash;
+
+public class SashPanel extends Composite {
+
+	//Composite parent;
+	ArrayList<Composite> cells;
+
+	public SashPanel(Composite parent, int style) {
+		super(parent, style);
+		//this.parent = parent;
+		this.setLayout(new FormLayout());
+	}
+
+	public void init(int ncolumns) {
+		if (cells != null) {
+			for(Control c : this.getChildren())
+				c.dispose();
+			cells.clear();
+			cells = new ArrayList<Composite>();
+		}
+
+		cells = new ArrayList<Composite>();
+		Sash sash = null;
+		FormData sashData = null;
+		for (int i = 0 ; i < ncolumns ; i++) {
+			Composite container = new Composite(this, SWT.NONE);
+			container.setLayout(new GridLayout());
+			cells.add(container);
+
+			FormData containerData = new FormData();
+			containerData.width = 100;
+			containerData.top = new FormAttachment(0, 0);
+			containerData.bottom = new FormAttachment(100, 0);
+			container.setLayoutData(containerData);// set new layout data
+
+			if (sash != null) { // attached FormData to previous sash and vice-versa
+				sashData.right = new FormAttachment(container, 0);
+				containerData.left = new FormAttachment(sash, 0);
+			} else if (i == 0) {
+				containerData.left = new FormAttachment(0, 0); // first cell
+			}
+
+			if (i == ncolumns -1 ) {
+				containerData.right = new FormAttachment(100, 0); // last cell
+			} else {
+				sash = new Sash(this, SWT.VERTICAL);
+				containerData.right = new FormAttachment(sash, 0);
+
+				sashData = new FormData();
+				sashData.left = new FormAttachment(container, 0);
+				sashData.top = new FormAttachment(0, 0);
+				sashData.bottom = new FormAttachment(100, 0);
+				sash.setLayoutData(sashData);
+			}
+			sash.addListener(SWT.Selection, new Listener() {
+				@Override
+				public void handleEvent(Event e) {
+					SashPanel.this.layout();
+					//								e.getBounds()
+					//								Rectangle sashRect = sash.getBounds();
+					//								Rectangle shellRect = SashPanel.this.getClientArea();
+					//								int right = shellRect.width - sashRect.width;
+					//								e.x = Math.max(Math.min(e.x, right), 0);
+					//								if (e.x != sashRect.x) {
+					//									sashData.left = new FormAttachment(0, e.x);
+					//									parentContainer.layout();
+					//								}
+				}
+			});
+		}
+
+	}
+
+	public Composite getContainer(int i) {
+		return cells.get(i);
+	}
+}

Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/SynopticEditorInput.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/SynopticEditorInput.java	(revision 0)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/SynopticEditorInput.java	(revision 836)
@@ -0,0 +1,112 @@
+package org.txm.edition.rcp.editors;
+
+import org.eclipse.jface.resource.ImageDescriptor;
+import org.eclipse.ui.IEditorInput;
+import org.eclipse.ui.IPersistableElement;
+import org.eclipse.ui.plugin.AbstractUIPlugin;
+import org.txm.objects.Text;
+import org.txm.rcp.Application;
+import org.txm.rcp.IImageKeys;
+import org.txm.rcp.editors.TXMResultEditorInput;
+import org.txm.searchengine.cqp.corpus.Corpus;
+
+import cern.colt.Arrays;
+
+public class SynopticEditorInput extends TXMResultEditorInput implements IEditorInput {
+
+	private Corpus corpus;
+	private Text text;
+	private String[] editions;
+
+	/**
+	 * Instantiates a new SynopticEditorInput
+	 *
+	 * @param corpus, the corpus
+	 * @param text, the text to show
+	 * @param editions, the editions to show
+	 */
+	public SynopticEditorInput(Corpus corpus, String text, String[] editions) {
+		super(corpus);
+		
+		this.corpus = corpus;
+		corpus = corpus.getMainCorpus();
+		this.editions = editions;
+		
+		if (text == null) {
+			this.text = corpus.getFirstText();
+		} else {
+			this.text = corpus.getText(text);
+		}
+		
+		if (editions == null) {
+			String[] defaultEditions = {corpus.getDefaultEdition()};
+			this.editions = defaultEditions;
+		}
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.IEditorInput#getImageDescriptor()
+	 */
+	@Override
+	public ImageDescriptor getImageDescriptor() {
+		return AbstractUIPlugin.imageDescriptorFromPlugin(
+				Application.PLUGIN_ID, IImageKeys.EDITION);
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.IEditorInput#getName()
+	 */
+	@Override
+	public String getName() {
+		return corpus.getName()+ " - "+text+ " - "+Arrays.toString(editions);  //$NON-NLS-1$ //$NON-NLS-2$
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.IEditorInput#getPersistable()
+	 */
+	@Override
+	public IPersistableElement getPersistable() {
+		return null;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.IEditorInput#getToolTipText()
+	 */
+	@Override
+	public String getToolTipText() {
+		return getName();
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.runtime.IAdaptable#getAdapter(java.lang.Class)
+	 */
+	@Override
+	public Object getAdapter(Class adapter) {
+		return null;
+	}
+
+	/**
+	 * Gets the corpus.
+	 *
+	 * @return the corpus
+	 */
+	public Corpus getCorpus() {
+		return corpus;
+	}
+
+	public Text getText() {
+		return text;
+	}
+	
+	public String[] getEditions() {
+		return editions;
+	}
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.ui.IEditorInput#exists()
+	 */
+	@Override
+	public boolean exists() {
+		return false;
+	}
+}

Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/ext/ToolbarButton.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/ext/ToolbarButton.java	(revision 0)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/editors/ext/ToolbarButton.java	(revision 836)
@@ -0,0 +1,41 @@
+package org.txm.edition.rcp.editors.ext;
+
+import org.eclipse.swt.widgets.Composite;
+import org.txm.edition.rcp.editors.SynopticEditionEditor;
+import org.txm.objects.Text;
+
+public abstract class ToolbarButton {
+
+	protected SynopticEditionEditor editor;
+
+	public ToolbarButton() {}
+	
+	/**
+	 * 
+	 * @param parent
+	 * @param editor
+	 * @return the button to dislay in the bottom toolbar
+	 */
+	public Composite getToolbarButton(Composite parent, SynopticEditionEditor editor) {
+		this.editor = editor;
+		return null;
+	}
+	
+	/**
+	 * Called when the editor is disposed
+	 * 
+	 * @return true is the editor can be closed
+	 */
+	public boolean onClose() {
+		return true;
+	}
+
+	public abstract void save();
+	
+	public abstract boolean isDirty();
+	
+	public abstract void discardChanges();
+
+	public abstract void onBackToText(Text text, String line_wordid);
+
+}
\ No newline at end of file

Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/BackToText.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 0)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/BackToText.java	(revision 836)
@@ -0,0 +1,268 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.edition.rcp.handlers;
+
+
+import java.util.ArrayList;
+import java.util.HashMap;
+import java.util.HashSet;
+import java.util.List;
+
+import org.apache.commons.lang.StringUtils;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.e4.ui.workbench.modeling.EModelService;
+import org.eclipse.jface.viewers.ISelection;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.osgi.util.NLS;
+import org.eclipse.ui.IEditorPart;
+import org.eclipse.ui.IWorkbenchPage;
+import org.eclipse.ui.IWorkbenchWindow;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.concordance.core.functions.Concordance;
+import org.txm.concordance.rcp.editors.ConcordanceEditor;
+import org.txm.concordance.rcp.handlers.BackToTextCommand;
+import org.txm.edition.rcp.editors.RGBA;
+import org.txm.edition.rcp.editors.SynopticEditionEditor;
+import org.txm.edition.rcp.messages.SynopticEditionUIMessages;
+import org.txm.objects.Text;
+import org.txm.rcp.StatusLine;
+import org.txm.rcp.utils.SWTEditorsUtils;
+import org.txm.searchengine.cqp.AbstractCqiClient;
+import org.txm.searchengine.cqp.CQPSearchEngine;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.StructuralUnit;
+import org.txm.searchengine.cqp.corpus.query.Match;
+import org.txm.utils.logger.Log;
+
+/**
+ * Open a text edition from: a concordance Line 
+ * @author mdecorde.
+ */
+public class BackToText extends BackToTextCommand {
+
+	/** The Constant ID. */
+	public final static String ID = "org.txm.synopticedition.rcp.handlers.BackToText"; //$NON-NLS-1$
+	public final static RGBA lightred = new RGBA(249,208,208);
+	public final static RGBA red = new RGBA(249, 160, 160);
+	//TODO: this kind of link associations must be transfered to a TXMEditor class
+	private static HashMap<ConcordanceEditor, SynopticEditionEditor> associatedEditors = new HashMap<ConcordanceEditor, SynopticEditionEditor>();
+	private static HashMap<ConcordanceEditor, List<String>> associatedEditorsPreviousOtherWordIDs = new HashMap<ConcordanceEditor, List<String>>();
+	private static HashMap<ConcordanceEditor, List<String>> associatedEditorsPreviousLineids = new HashMap<ConcordanceEditor, List<String>>();
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+		IWorkbenchWindow wb = HandlerUtil.getActiveWorkbenchWindow(event);
+		IEditorPart ieditor = wb.getActivePage().getActiveEditor();
+		if (!(ieditor instanceof ConcordanceEditor)) {
+			return null;
+		}
+		ConcordanceEditor concordanceEditor = (ConcordanceEditor)ieditor;
+		ISelection sel = wb.getSelectionService().getSelection();
+		if (sel instanceof IStructuredSelection) {
+			IStructuredSelection selection = (IStructuredSelection) sel;
+			if (selection.getFirstElement() instanceof Match) {
+				backToText(concordanceEditor, (Match)(selection.getFirstElement()));
+			} else {
+				System.out.println(SynopticEditionUIMessages.BackToText_1+selection);
+			}
+		} else {
+			System.out.println(SynopticEditionUIMessages.BackToText_2);
+		}
+		return null;
+	}
+
+	/**
+	 * Open edition.
+	 *
+	 * @param corpus the corpus
+	 * @return the object
+	 */
+	@Override
+	public boolean backToText(ConcordanceEditor editor, Match match) {
+		Concordance conc = editor.getConcordance();
+		Corpus corpus = editor.getCorpus();
+
+		try {
+			if (match == null) return false;
+
+			StructuralUnit textS = null;
+			String textid = ""; //$NON-NLS-1$
+			String baseid = ""; //$NON-NLS-1$
+			
+			Property xProperty = corpus.getProperty("x"), yProperty, wProperty, hProperty;
+			String x="0",y="0",w="0",h="0";
+			int[] pos = null;
+			if (xProperty != null) {
+				yProperty = corpus.getProperty("y");
+				if (yProperty != null) {
+					wProperty = corpus.getProperty("w");
+					if (wProperty != null) {
+						AbstractCqiClient CQI = CQPSearchEngine.getCqiClient();
+						int[] cpos = {match.getStart()};
+						hProperty = corpus.getProperty("h");
+						if (hProperty != null) {
+							x = CQI.cpos2Str(xProperty.getQualifiedName(), cpos)[0];
+							y = CQI.cpos2Str(yProperty.getQualifiedName(), cpos)[0];
+							w = CQI.cpos2Str(wProperty.getQualifiedName(), cpos)[0];
+							h = CQI.cpos2Str(hProperty.getQualifiedName(), cpos)[0];
+							
+							pos = new int[4];
+							pos[0] = Integer.parseInt(x);
+							pos[1] = Integer.parseInt(y);
+							pos[2] = Integer.parseInt(w);
+							pos[3] = Integer.parseInt(h);
+						}
+					}
+				}
+			}
+			
+			
+			String projectid = ""; //$NON-NLS-1$
+			try {
+				textS = corpus.getStructuralUnit("text"); //$NON-NLS-1$
+				Property textP = textS.getProperty("id"); //$NON-NLS-1$
+				textid = match.getValueForProperty(textP);// get text via text struct property id
+			} catch (Exception e2) {
+				System.out.println("The corpus has no text_id property" + e2); //$NON-NLS-1$
+				org.txm.rcp.utils.Logger.printStackTrace(e2);
+				return false;
+			}
+
+			Log.info("Loading line informations..."); //$NON-NLS-1$
+
+			SynopticEditionEditor attachedBrowserEditor = associatedEditors.get(editor);
+			if (attachedBrowserEditor!= null && attachedBrowserEditor.isDisposed()) {
+				associatedEditorsPreviousOtherWordIDs.put(editor, new ArrayList<String>());
+				associatedEditorsPreviousLineids.put(editor, new ArrayList<String>());
+			}
+			List<String> previousOtherWordIDs = associatedEditorsPreviousOtherWordIDs.get(editor);
+			List<String> previousLineids = associatedEditorsPreviousLineids.get(editor);
+			
+			if (attachedBrowserEditor == null || attachedBrowserEditor.isDisposed()) {
+				String[] editionsToOpen = OpenEdition.getDefaultEditions(corpus);
+
+				if (editionsToOpen.length == 0) { // the defaultEdition parameter is not set
+					ArrayList<String> editionNames = corpus.getEditionNames();
+					if (editionNames.size() > 0) { // use the first edition declared
+						editionsToOpen = new String[1];
+						editionsToOpen[0] = editionNames.get(0);
+						Log.info(SynopticEditionUIMessages.BackToText_0+editionNames.get(0));
+					} else { // no edition in the corpus
+						Log.info(SynopticEditionUIMessages.BackToText_4);
+						editionsToOpen = new String[0];
+						return false;
+					}
+				} else {
+					Log.info(SynopticEditionUIMessages.BackToText_5+StringUtils.join(editionsToOpen));
+				}
+
+				attachedBrowserEditor = OpenEdition.openEdition(corpus, editionsToOpen);
+				associatedEditors.put(editor, attachedBrowserEditor);
+				SWTEditorsUtils.addEditor(editor, attachedBrowserEditor, EModelService.ABOVE);
+			}
+			
+			// remove previous highlighted words
+			if (previousOtherWordIDs != null) {
+				//System.out.println("remove previousOtherWordIDs="+previousOtherWordIDs);
+				attachedBrowserEditor.removeHighlightWordsById(lightred, previousOtherWordIDs);
+				associatedEditorsPreviousOtherWordIDs.remove(editor); // free mem
+			}
+			if (previousLineids != null) {
+				//System.out.println("remove previousLineids="+previousLineids);
+				attachedBrowserEditor.removeHighlightWordsById(red, previousLineids);
+				associatedEditorsPreviousLineids.remove(editor); // free mem
+			}
+			
+			//System.out.println("getKeywordsId from "+editor.getTopLine()+" to "+editor.getBottomLine() + 1);
+			List<String> otherWordIDs = conc.getKeywordsId(textid, editor.getTopLine(), editor.getBottomLine() + 1);
+			//System.out.println("getKeywordsId="+otherWordIDs);
+			List<String> lineids = null;
+			try {
+				lineids = match.getValuesForProperty(corpus.getProperty("id")); //$NON-NLS-1$
+			} catch (Exception e1) {
+				org.txm.rcp.utils.Logger.printStackTrace(e1);
+				return false;
+			}
+			Log.info(NLS.bind("Project id {0} Corpus (Base) id {1} Text id {2}",  //$NON-NLS-1$
+					new Object[]{projectid, baseid, textid}));
+			
+			otherWordIDs.removeAll(lineids); // remove the pivot from others words 
+			
+			Text text = corpus.getMainCorpus().getText(textid);
+			if (text == null) {
+				System.out.println(NLS.bind("BackToText: Text {0} is missing", textid)); //$NON-NLS-1$
+				StatusLine.setMessage(NLS.bind("BackToText: Text {0} is missing", textid)); //$NON-NLS-1$
+				Log.severe(NLS.bind("BackToText: Text {0} is missing", textid)); //$NON-NLS-1$
+				return false;
+			}
+
+			String line_wordid = lineids.get(0);
+			if (line_wordid == null) {
+				System.out.println(SynopticEditionUIMessages.BackToText_3);
+				return false;				
+			}
+			
+			
+			String focusid = null;
+			if (lineids.size() > 0) focusid = lineids.get(0);
+				
+			//System.out.println("add otherWordIDs="+otherWordIDs);
+			attachedBrowserEditor.addHighlightWordsById(lightred, otherWordIDs);
+			
+			//System.out.println("add linesids="+lineids);
+			attachedBrowserEditor.addHighlightWordsById(red, lineids);
+			
+			associatedEditorsPreviousOtherWordIDs.put(editor, otherWordIDs);
+			associatedEditorsPreviousLineids.put(editor, lineids);
+						
+			HashSet<int[]> posses = new HashSet<int[]>();
+			posses.add(pos);
+			attachedBrowserEditor.setHighlightedArea(posses);
+			
+			attachedBrowserEditor.setFocusedWordID(focusid);
+			
+			// reload the page and styles
+			attachedBrowserEditor.backToText(text, line_wordid);// open the page(S) containing the word with id=line_wordid
+			
+			IWorkbenchPage attachedPage = attachedBrowserEditor.getEditorSite().getPage();
+			attachedPage.activate(attachedBrowserEditor);
+
+			return true;
+
+		} catch (Exception err) {
+			Log.severe(NLS.bind("Full text display failed: {0}", err)); //$NON-NLS-1$
+			Log.printStackTrace(err);
+		}
+		return false;
+	}
+}

Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java	(revision 0)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/handlers/OpenEdition.java	(revision 836)
@@ -0,0 +1,188 @@
+// Copyright © 2010-2013 ENS de Lyon.
+// Copyright © 2007-2010 ENS de Lyon, CNRS, INRP, University of
+// Lyon 2, University of Franche-Comté, University of Nice
+// Sophia Antipolis, University of Paris 3.
+// 
+// The TXM platform is free software: you can redistribute it
+// and/or modify it under the terms of the GNU General Public
+// License as published by the Free Software Foundation,
+// either version 2 of the License, or (at your option) any
+// later version.
+// 
+// The TXM platform is distributed in the hope that it will be
+// useful, but WITHOUT ANY WARRANTY; without even the implied
+// warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
+// PURPOSE. See the GNU General Public License for more
+// details.
+// 
+// You should have received a copy of the GNU General
+// Public License along with the TXM platform. If not, see
+// http://www.gnu.org/licenses.
+// 
+// 
+// 
+// $LastChangedDate:$
+// $LastChangedRevision:$
+// $LastChangedBy:$ 
+//
+package org.txm.edition.rcp.handlers;
+
+import java.util.ArrayList;
+import java.util.List;
+
+import org.apache.commons.lang.StringUtils;
+import org.eclipse.core.commands.AbstractHandler;
+import org.eclipse.core.commands.ExecutionEvent;
+import org.eclipse.core.commands.ExecutionException;
+import org.eclipse.jface.viewers.IStructuredSelection;
+import org.eclipse.swt.widgets.Shell;
+import org.eclipse.ui.IWorkbenchPage;
+import org.eclipse.ui.IWorkbenchWindow;
+import org.eclipse.ui.PlatformUI;
+import org.eclipse.ui.handlers.HandlerUtil;
+import org.txm.edition.rcp.editors.EditionSelectorDialog;
+import org.txm.edition.rcp.editors.SynopticEditionEditor;
+import org.txm.edition.rcp.editors.SynopticEditorInput;
+import org.txm.edition.rcp.messages.SynopticEditionUIMessages;
+import org.txm.objects.BaseParameters;
+import org.txm.objects.Text;
+import org.txm.searchengine.cqp.corpus.Corpus;
+import org.txm.searchengine.cqp.corpus.MainCorpus;
+import org.txm.searchengine.cqp.corpus.Property;
+import org.txm.searchengine.cqp.corpus.StructuralUnit;
+import org.txm.searchengine.cqp.corpus.Subcorpus;
+import org.txm.searchengine.cqp.corpus.query.Match;
+import org.txm.utils.logger.Log;
+import org.w3c.dom.Element;
+
+// TODO: Auto-generated Javadoc
+/**
+ * Open a text edition from: a main corpus : the first text of the maincorpus a
+ * sub-corpus : the first text of the subcorpus a partition : the user must
+ * choose one of the text used in the partition @ author mdecorde.
+ */
+public class OpenEdition extends AbstractHandler {
+
+	/** The Constant ID. */
+	public final static String ID = "org.txm.synopticedition.rcp.handlers.OpenEdition"; //$NON-NLS-1$
+
+	/** The lastopenedfile. */
+	public static String lastopenedfile;
+
+	/* (non-Javadoc)
+	 * @see org.eclipse.core.commands.AbstractHandler#execute(org.eclipse.core.commands.ExecutionEvent)
+	 */
+	@Override
+	public Object execute(ExecutionEvent event) throws ExecutionException {
+
+		IStructuredSelection selection = (IStructuredSelection) HandlerUtil.getCurrentSelection(event);
+		if (selection.getFirstElement() instanceof Corpus) {
+			try {
+				Corpus c = (Corpus) selection.getFirstElement();
+//				Shell shell = HandlerUtil.getActiveWorkbenchWindowChecked(event).getShell();
+
+				//EditionSelectorDialog d = new EditionSelectorDialog(shell, c, null);
+				SynopticEditionEditor editor = null;
+				//				if (c.getEditionNames().size() > 1 && d.open() == Window.OK) {
+				//					Object[] rez = d.getResult();
+				//					String[] rezS = new String[rez.length];
+				//					for (int i =0 ; i < rez.length ; i++) rezS[i] = rez[i].toString();
+				//					editor = openEdition(c, rezS);
+				//				} else 
+				String[] editionsToOpen = getDefaultEditions(c);
+
+				if (editionsToOpen.length == 0) { // the defaultEdition parameter is not set
+					ArrayList<String> editionNames = c.getEditionNames();
+					if (editionNames.size() > 0) { // use the first edition declared
+						editionsToOpen = new String[1];
+						editionsToOpen[0] = editionNames.get(0);
+						Log.info(SynopticEditionUIMessages.OpenEdition_0+editionNames.get(0));
+					} else { // no edition in the corpus
+						Log.info(SynopticEditionUIMessages.OpenEdition_1);
+						editionsToOpen = new String[0];
+						return false;
+					}
+				} else {
+					Log.info(SynopticEditionUIMessages.OpenEdition_3+StringUtils.join(editionsToOpen));
+				}
+
+				editor = openEdition(c, editionsToOpen);
+
+				if (editor != null)
+					editor.firstPage();
+
+			} catch (Exception e) {
+				System.out.println(SynopticEditionUIMessages.OpenEdition_4+e);
+				org.txm.rcp.utils.Logger.printStackTrace(e);
+			}
+		} else {
+			System.out.println(SynopticEditionUIMessages.OpenEdition_9);
+		}
+		return null;
+	}
+	public static String[] getDefaultEditions(Corpus c) {
+		BaseParameters params = c.getBase().getBaseParameters();
+		Element editionsElement = params.getEditionsElement(params.getCorpusElement());
+		return editionsElement.getAttribute("default").split(","); //$NON-NLS-1$ //$NON-NLS-2$
+	}
+
+	/**
+	 * Open edition, but don't show a page 
+	 *
+	 * @param corpus the corpus
+	 * @return the object
+	 */
+	public static SynopticEditionEditor openEdition(Corpus corpus, String[] editions) {
+		String textid = null;
+
+		System.out.println("Opening edition of "+corpus); //$NON-NLS-1$
+		try {
+			Text text = null;
+			if (corpus instanceof Subcorpus) {
+				Subcorpus sub = (Subcorpus)corpus;
+				List<Match> matches = sub.getMatches();
+				if (matches.size() > 0) {
+					StructuralUnit text_su = corpus.getStructuralUnit("text"); //$NON-NLS-1$
+					Property text_id = text_su.getProperty("id"); //$NON-NLS-1$
+
+					textid = matches.get(0).getValueForProperty(text_id);
+					if (textid != null) text = corpus.getMainCorpus().getText(textid);
+				}
+			}
+			//			QueryResult result = corpus.query(new Query("<text> []"), "get_edition", false); //$NON-NLS-1$ //$NON-NLS-2$ 
+			//			StructuralUnit text_su = corpus.getStructuralUnit("text"); //$NON-NLS-1$
+			//			Property text_id = text_su.getProperty("id"); //$NON-NLS-1$
+
+			// 			if (result.getNMatch() > 0) textid = result.getMatches(0, 1).get(0).getValueForProperty(text_id);
+			MainCorpus maincorpus = corpus.getMainCorpus();
+
+			//			if (textid != null) text = maincorpus.getText(textid);
+
+			if (text == null) {
+				text = maincorpus.getFirstText();
+
+				if (text == null) {
+					System.out.println("** Could not find first text of ID "+textid+SynopticEditionUIMessages.OpenEdition_7); //$NON-NLS-1$ //$NON-NLS-1$
+					return null;
+				}
+
+				textid = text.getName();
+			}
+
+			//String[] editions = {maincorpus.getDefaultEdition()};
+			IWorkbenchWindow window = PlatformUI.getWorkbench().getActiveWorkbenchWindow();
+			IWorkbenchPage page = window.getActivePage();
+
+			SynopticEditorInput editorInput = new SynopticEditorInput(corpus, text.getName(), editions);
+			SynopticEditionEditor editor = (SynopticEditionEditor) page.openEditor(editorInput,
+					SynopticEditionEditor.ID, true);
+
+			return editor;
+
+		} catch (Exception e) {
+			Log.printStackTrace(e);
+			System.out.println(SynopticEditionUIMessages.OpenEdition_10+e);
+			return null;
+		}
+	}
+}

Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java	(revision 0)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferences.java	(revision 836)
@@ -0,0 +1,18 @@
+package org.txm.edition.rcp.preferences;
+
+import org.eclipse.core.runtime.preferences.DefaultScope;
+import org.osgi.service.prefs.Preferences;
+import org.txm.core.preferences.TXMPreferences;
+
+public class SynopticEditionPreferences extends TXMPreferences {
+
+	public static String PREFERENCES_NODE = "org.txm.synopticedition.rcp.synoptic";
+	
+	public static String FAST_HIGHLIGHT = "fast_highlight";
+
+	@Override
+	public void initializeDefaultPreferences() {
+		Preferences preferences = DefaultScope.INSTANCE.getNode(PREFERENCES_NODE);
+		preferences.putBoolean(FAST_HIGHLIGHT, true);
+	}
+}

Index: tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferencePage.java
===================================================================
--- tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferencePage.java	(revision 0)
+++ tmp/org.txm.synopticeditor.rcp/src/org/txm/edition/rcp/preferences/SynopticEditionPreferencePage.java	(revision 836)
@@ -0,0 +1,34 @@
+package org.txm.edition.rcp.preferences;
+
+import org.eclipse.jface.preference.BooleanFieldEditor;
+import org.eclipse.jface.preference.FieldEditorPreferencePage;
+import org.eclipse.ui.IWorkbench;
+import org.eclipse.ui.IWorkbenchPreferencePage;
+import org.eclipse.ui.preferences.ScopedPreferenceStore;
+import org.txm.rcp.Application;
+
+public class SynopticEditionPreferencePage  extends FieldEditorPreferencePage
+implements IWorkbenchPreferencePage {
+	ScopedPreferenceStore preferences;
+
+	private BooleanFieldEditor fast_highlight;
+	
+	
+	public SynopticEditionPreferencePage() {
+		super();
+		preferences = new ScopedPreferenceStore(org.eclipse.core.runtime.preferences.InstanceScope.INSTANCE,
+				Application.PLUGIN_ID);
+		setPreferenceStore(preferences);
+		setTitle("Edition");
+	}
+	
+	@Override
+	public void init(IWorkbench workbench) { }
+
+	@Override
+	protected void createFieldEditors() {
+		fast_highlight = new BooleanFieldEditor(SynopticEditionPreferences.FAST_HIGHLIGHT,
+				"Enable fast word highlight", getFieldEditorParent());
+		addField(fast_highlight);
+	}
+}

Index: tmp/org.txm.libs.cqp.macosx/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.libs.cqp.macosx/META-INF/MANIFEST.MF	(revision 835)
+++ tmp/org.txm.libs.cqp.macosx/META-INF/MANIFEST.MF	(revision 836)
@@ -1,7 +1,7 @@
 Manifest-Version: 1.0
 Bundle-ManifestVersion: 2
-Bundle-Name: CQP.macosx
-Bundle-SymbolicName: CQP.macosx
+Bundle-Name: org.txm.libs.cqp.macosx
+Bundle-SymbolicName: org.txm.libs.cqp.macosx
 Bundle-Version: 1.1.0.qualifier
 Fragment-Host: org.txm.libs.cqp;bundle-version="1.0.0.qualifier"
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Index: tmp/org.txm.svn.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.svn.rcp/META-INF/MANIFEST.MF	(revision 835)
+++ tmp/org.txm.svn.rcp/META-INF/MANIFEST.MF	(revision 836)
@@ -12,9 +12,9 @@
 Bundle-Vendor: Textometrie.org
 Bundle-ActivationPolicy: lazy
 Bundle-Version: 1.0.0.qualifier
-Bundle-Name: %Bundle-Name
+Bundle-Name: org.txm.svn.rcp
 Bundle-ManifestVersion: 2
 Bundle-Activator: svnenvironement.Activator
-Bundle-SymbolicName: SVNEnvironmentRCP;singleton:=true
+Bundle-SymbolicName: org.txm.svn.rcp;singleton:=true
 Bundle-RequiredExecutionEnvironment: JavaSE-1.7
 
Index: tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java
===================================================================
--- tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 835)
+++ tmp/org.txm.chartsengine.rcp/src/org/txm/chartsengine/rcp/editors/ChartEditor.java	(revision 836)
@@ -106,13 +106,12 @@
 	
 	/**
 	 * Subclasses manual creation.
-	 * @param parent
 	 */
-	public abstract void __createPartControl(Composite parent);
+	public abstract void __createPartControl();
 	
 	
 	@Override
-	public final void _createPartControl(Composite parent) {
+	public final void _createPartControl() {
 		
 		// Toolbar
 		this.chartToolBar = new ChartEditorToolBar(this, this.getTopToolbarContainer(), this.getParametersGroupsComposite(), SWT.FLAT | SWT.RIGHT);
@@ -160,7 +159,7 @@
 //		}
 		
 		 // subclasses manual creation
-		this.__createPartControl(parent);
+		this.__createPartControl();
 		
 	}
 
Index: tmp/org.txm.analec.rcp/src/org/txm/analec/view/ElementSearchView.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/analec/view/ElementSearchView.java	(revision 835)
+++ tmp/org.txm.analec.rcp/src/org/txm/analec/view/ElementSearchView.java	(revision 836)
@@ -40,6 +40,7 @@
 import org.txm.concordance.core.functions.Concordance;
 import org.txm.concordance.rcp.editors.ConcordanceEditor;
 import org.txm.concordance.rcp.handlers.ComputeConcordance;
+import org.txm.edition.rcp.handlers.BackToText;
 import org.txm.rcp.IImageKeys;
 import org.txm.rcp.utils.SWTEditorsUtils;
 import org.txm.searchengine.cqp.ReferencePattern;
@@ -49,7 +50,6 @@
 import org.txm.searchengine.cqp.corpus.Property;
 import org.txm.searchengine.cqp.corpus.WordProperty;
 import org.txm.searchengine.cqp.corpus.query.Query;
-import org.txm.synopticedition.rcp.handlers.BackToText;
 import org.txm.utils.logger.Log;
 
 import visuAnalec.Message;
